import { mergeConfig } from 'vite';
import eslint from 'vite-plugin-eslint';
import * as path from 'path';
import baseConfig from './vite.config.base';

export default mergeConfig(
  {
    mode: 'development',
    server: {
      open: true,
      fs: {
        strict: true,
      },
      proxy: {
        '/api': {
          target: 'http://59.110.238.182:8081',
          // target: 'http://4.246.149.244:8081',
          // target: 'http://localhost:5173',
          changeOrigin: true,
        },
      },
    },
    plugins: [
      eslint({
        cache: false,
        include: ['src/**/*.ts', 'src/**/*.tsx', 'src/**/*.vue'],
        exclude: ['node_modules'],
      }),
    ],
  },
  baseConfig
);
