import { DEFAULT_LAYOUT } from '../base';
import { AppRouteRecordRaw } from '../types';

const DASHBOARD: AppRouteRecordRaw = {
  path: '/dashboard',
  name: 'dashboard',
  component: DEFAULT_LAYOUT,
  meta: {
    locale: 'menu.dashboard',
    requiresAuth: true,
    icon: 'icon-dashboard', // 设置图标
    order: 0, // 排序路由菜单项。如果设置该值，值越高，越靠前
  },
  children: [
    {
      path: 'workplace',
      name: 'Workplace',
      component: () => import('@/views/dashboard/workplace/index.vue'),
      meta: {
        locale: 'menu.dashboard.workplace',
        requiresAuth: true,
        permissions: ['*'],
      },
    },

    // {
    //   path: 'monitor', // 一级路径
    //   name: 'Monitor', // 路由名称
    //   component: () => import('@/views/dashboard/monitor/index.vue'), // 要跳转的视图，这里要跳转到页面的基本布局
    //   meta: {
    //     locale: 'menu.dashboard.monitor', // 菜单名字
    //     requiresAuth: true, // 需要登录鉴权
    //     permissions: ['admin'], // 只允许管理员用户访问
    //   },
    // },
  ],
};

export default DASHBOARD;
