import { defineStore } from 'pinia';
import {
  TicketRecord,
  TicketCreateRecord,
  auditRecord,
  queryTicket,
  remove,
  getDetail,
  create,
  update,
  uploadFile,
  attachment,
  audit,
  auditTickctList,

} from '@/api/ticket';
import { ticketStore } from './type';

const useTicketStore = defineStore('ticket', {
  state: (): ticketStore => ({
    id: undefined,
    remark: undefined,
    createTime: undefined,
    title: undefined,
    body: undefined,
    money: undefined,
    status: undefined,
    type: undefined,
    contactEmail: undefined,
    companyName: undefined,
    userId: undefined,
  }),

  getters: {
    TicketInfo(state: ticketStore): ticketStore {
      return { ...state };
    },
  },
  actions: {
    async getTicketList(params: any) {
      return queryTicket(params);
    },

    async getDetail(id: string) {
      return getDetail(id);
    },

    async createTicket(params: TicketCreateRecord) {
      return create(params);
    },

    async removeTicket(id: string) {
      return remove(id);
    },

    async updateTicket(data: TicketRecord) {
      return update(data);
    },

    async uploadFileTicket(file: any) {
      return uploadFile(file);
    },

    async getAttachment(id: string){
      return attachment(id);
    },

    async auditTicket(ticketId: string, data: auditRecord) {
      return audit(ticketId, data);
    },

    async auditTickctList(data:any){
      return auditTickctList(data);
    }
  },
});

export default useTicketStore;
